# $Revision: 1.16 $, $Date: 2003/05/19 23:14:38 $
Summary:	Conservative garbage collector
Summary(pl):	Konserwatywny odmiecacz pamici
Name:		gc
Version:	6.1
Release:	3
License:	BSD-like
Group:		Development/Libraries
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}%{version}.tar.gz
Patch0:		%{name}-ac_libdl_fix.patch
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gc is a conservative garbage collector for C and C++. It is used as a
replacement for standard malloc() and free(). GC_malloc will attempt
to reclaim inaccessible space automatically by invoking a conservative
garbage collector at appropriate points.

%description -l pl
Gc jest konserwatywnym odmiecaczem pamici dla C i C++. Jest uywany
jako zamiennik dla standardowych funkcji malloc() i free(). GC_malloc
prbuje odzyska niedostpna pamic automatycznie przez wywoywanie
konserwatywnego odmiecacza pamici w odpowiednich miejscach.

%package devel
Summary:	Headers for conservative garbage collector
Summary(pl):	Nagwki dla konserwatywnego odmiecacza pamici
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Headers for conservative garbage collector

%description devel -l pl
Nagwki dla konserwatywnego odmiecacza pamici

%package static
Summary:	Static version of gc library
Summary(pl):	Statyczna wersja biblioteki gc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of gc library

%description static -l pl
Statyczna wersja biblioteki gc

%prep
%setup -q -n %{name}%{version}
%patch0 -p1

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-threads=posix
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/gc,%{_mandir}/man3}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -ar include/* $RPM_BUILD_ROOT%{_includedir}/gc
install doc/gc.man $RPM_BUILD_ROOT%{_mandir}/man3/gc.3

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.QUICK doc/README{,.{linux,changes,contributors,environment,macros}}
%doc doc/*.html
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gc
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/*/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gc.spec,v $
Revision 1.16  2003/05/19 23:14:38  kloczek
- added ac_libdl_fix patch: libgc uses dlopen() so added fix on autoconf level
  for include -ldl in LIBS.

Revision 1.15  2003/05/19 23:06:06  kloczek
- added full rergeneration ac/am/lt suit.

Revision 1.14  2003/05/08 09:28:30  malekith
- maybe -ldl hack is more readable this way

Revision 1.13  2003/05/08 09:24:04  malekith
- -ldl hack is back; it's *needed*

Revision 1.12  2003/05/05 14:49:38  undefine
- enable posix threads (needed by mono)
- release 3
- stbr (ra-updates-general && ac)

Revision 1.11  2003/02/26 15:20:08  malekith
- release 2 -- rebuild on nest builders
- version from ra is facked up for some unknown reason -- it lacks
  GC_pthread* functions

Revision 1.10  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.9  2002/09/03 19:14:26  kloczek
- (auto)updated to 6.1.

Revision 1.8  2002/08/14 11:30:14  malekith
- link libgc.so with libdl.so, as it requires it
- new %doc
- release 3, STBR

Revision 1.7  2002/04/25 16:21:26  arturs
fixed a small typo

Revision 1.6  2002/03/27 11:35:31  roman
s/BSDish/BSD-like in License

Revision 1.5  2002/03/27 10:38:06  roman
- License: BSD like --> License: BSDish

Revision 1.4  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/08 14:22:41  filon
- added copying newer config.{sub,guess} files form automake dir (needed for athlon)
- release 2

Revision 1.2  2002/01/24 05:18:01  kloczek
- cosmetics.

Revision 1.1  2002/01/22 18:20:55  filon
- new package, garbage collector, STB
